<html>
<head>
<title>Ogre::VertexBoneAssignment_s Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html">VertexBoneAssignment_s</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VertexBoneAssignment_s Struct Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VertexBoneAssignment_s" -->
<p>Records the assignment of a single vertex to a single bone with the corresponding weight.  
 <a href="structOgre_1_1VertexBoneAssignment__s.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a>&gt;</code></p>

<p><a href="structOgre_1_1VertexBoneAssignment__s-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a59e56296bfd4d5517185adf6137cdf21">vertexIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a4e5ac0d856092d2b6bd0331272850969">boneIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a35dc9c8d2f2f76a1fda672f0de7f1c89">weight</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Records the assignment of a single vertex to a single bone with the corresponding weight. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed. </dd></dl>

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h_source.html#l00050">50</a> of file <a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4e5ac0d856092d2b6bd0331272850969"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::boneIndex" ref="a4e5ac0d856092d2b6bd0331272850969" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a4e5ac0d856092d2b6bd0331272850969">Ogre::VertexBoneAssignment_s::boneIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h_source.html#l00053">53</a> of file <a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59e56296bfd4d5517185adf6137cdf21"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::vertexIndex" ref="a59e56296bfd4d5517185adf6137cdf21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a59e56296bfd4d5517185adf6137cdf21">Ogre::VertexBoneAssignment_s::vertexIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h_source.html#l00052">52</a> of file <a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div>
<a class="anchor" id="a35dc9c8d2f2f76a1fda672f0de7f1c89"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::weight" ref="a35dc9c8d2f2f76a1fda672f0de7f1c89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#a35dc9c8d2f2f76a1fda672f0de7f1c89">Ogre::VertexBoneAssignment_s::weight</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h_source.html#l00054">54</a> of file <a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreVertexBoneAssignment_8h_source.html">OgreVertexBoneAssignment.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
